Endpoints
get_service_info
Describe the supported Cloud machine API and authentication.
Request
This operation declares public access.
curl 'https://api.ursy.cloud/v1/service' \
-H 'Accept: application/json'- Scopes
- None declared
- Execution
- At the owning service
- Risk classification
- not declared
Parameters
This operation declares no parameters.
This operation is documented here. Use the owning service with the appropriate credentials and permissions to execute it.
Response schemas and request body
{
"requestBody": null,
"responses": {
"200": {
"description": "Typed operation result; request_id correlates the request.",
"content": {
"application/json": {
"schema": {
"type": "object",
"additionalProperties": false,
"properties": {
"schema": {
"type": "string",
"enum": [
"ursy.cloud/service/v1"
]
},
"name": {
"type": "string"
},
"version": {
"type": "string"
},
"api": {
"type": "string",
"pattern": "^https://"
},
"mcp": {
"type": "string",
"pattern": "^https://"
},
"openapi": {
"type": "string",
"pattern": "^https://"
},
"developer_manifest": {
"type": "string",
"pattern": "^https://"
},
"authentication": {
"type": "object",
"additionalProperties": false,
"properties": {
"mode": {
"type": "string"
},
"identity_authority": {
"type": "string",
"pattern": "^https://"
},
"delegated_oauth_ready": {
"type": "boolean"
},
"provisioning": {
"type": "string"
}
},
"required": [
"mode",
"identity_authority",
"delegated_oauth_ready",
"provisioning"
]
},
"privacy": {
"type": "object",
"additionalProperties": false,
"properties": {
"private_results_sponsored": {
"type": "boolean"
},
"private_content_in_ad_telemetry": {
"type": "boolean"
},
"private_responses_cacheable": {
"type": "boolean"
}
},
"required": [
"private_results_sponsored",
"private_content_in_ad_telemetry",
"private_responses_cacheable"
]
},
"limits": {
"type": "object",
"additionalProperties": false,
"properties": {
"upload_bytes": {
"type": "integer",
"minimum": 0
},
"upload_chunk_bytes": {
"type": "integer",
"minimum": 0
},
"upload_session_seconds": {
"type": "integer",
"minimum": 0
},
"download_grant_seconds": {
"type": "integer",
"minimum": 0
},
"request_bytes": {
"type": "integer",
"minimum": 0
},
"response_bytes": {
"type": "integer",
"minimum": 0
},
"list_page": {
"type": "integer",
"minimum": 0
},
"sheet_range_cells": {
"type": "integer",
"minimum": 0
},
"edit_operations": {
"type": "integer",
"minimum": 0
},
"grant_max_seconds": {
"type": "integer",
"minimum": 0
},
"reads_per_minute": {
"type": "integer",
"minimum": 0
},
"writes_per_minute": {
"type": "integer",
"minimum": 0
},
"idempotency_seconds": {
"type": "integer",
"minimum": 0
},
"edit_plan_seconds": {
"type": "integer",
"minimum": 0
},
"review_plan_seconds": {
"type": "integer",
"minimum": 0
},
"list_cursor_seconds": {
"type": "integer",
"minimum": 0
},
"change_cursor_seconds": {
"type": "integer",
"minimum": 0
},
"rate_limit_key": {
"type": "string"
}
},
"required": [
"upload_bytes",
"upload_chunk_bytes",
"upload_session_seconds",
"download_grant_seconds",
"request_bytes",
"response_bytes",
"list_page",
"sheet_range_cells",
"edit_operations",
"grant_max_seconds",
"reads_per_minute",
"writes_per_minute",
"idempotency_seconds",
"edit_plan_seconds",
"review_plan_seconds",
"list_cursor_seconds",
"change_cursor_seconds",
"rate_limit_key"
]
},
"storage_quota_bytes": {
"type": "integer",
"minimum": 0
},
"unsupported": {
"type": "array",
"items": {
"type": "string"
}
},
"request_id": {
"type": "string"
}
},
"required": [
"schema",
"name",
"version",
"api",
"mcp",
"openapi",
"developer_manifest",
"authentication",
"privacy",
"limits",
"storage_quota_bytes",
"unsupported"
]
}
}
}
},
"default": {
"description": "Stable error envelope. 401 invalid/expired/revoked grant; 403 missing scope; 404 unavailable resource; 409 plan/idempotency conflict; 412 stale ETag; 413 size/quota; 429 rate limit.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}
}